import command

class TextbufClear(command.Command):
	"""Clear the buffer.
	"""
	name = 'textbuf-clear'
	context = 'textbuffer'
	def call(self, buf):
		buf.clear()

class TextbufAppendLine(command.Command):
	"""Append a line of text to the buffer.
	"""
	name = 'textbuf-append-line'
	context = 'textbuffer'
	def call(self, buf):
		st = inputstring.input_string_arg(self, 1, 'Line', self.name)
		buf.append(st+'\n')

command.register([
	TextbufClear, TextbufAppendLine
])

import textbuffer
import inputstring
